This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 967626 - vdagent-win can't access virtio-serial device in 32bit Windows 7 running on Fedora 19 host
vdagent-win can't access virtio-serial device in 32bit Windows 7 running on F...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virtio-win (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ronen Hod
Virtualization Bugs
:
Depends On: 951481
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 12:23 EDT by David Jaša
Modified: 2014-12-14 19:53 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-25 18:42:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2013-05-27 12:23:28 EDT
Description of problem:
virtio-serial driver (vioser) can't be installed in win7 x32 running on f19 host

Version-Release number of selected component (if applicable):
qemu-kvm-1.4.1-3.fc19.x86_64
windows 7 32bit with latest updates
vioser.sys/inf/cat 61.64.104.5900 built on 2013/05/02 4:17PM
   (applies to 0.52 driver running on the same host as well)

How reproducible:
always

Steps to Reproduce:
1. try to install the driver via some installer (or "update driver" of virtio-serial device - ... - have disk - choose .inf of this driver)
2.
3.

Actual results:
the driver is not used (resp. windows says that the driver cannot be used for that device)

Expected results:
driver works (resp. windows installs vioser without any problems)

Additional info:
I didn't try other windows versions, may be also affected
Comment 1 David Jaša 2013-05-28 08:14:42 EDT
After an update to qemu-kvm-1.4.2-2, I can see the virtio serial device among "system devices" in device manager, but vdagent-win still can't connect to the device...

When I run the same VM on RHEL 6 host, the vdagent works just fine.
Comment 2 David Jaša 2013-05-30 08:31:12 EDT
Even after updates, the bug still persists. vdagent.log repeats saying:
664::INFO::2013-05-30 11:44:16,653::run::***Agent started in session 1***
664::INFO::2013-05-30 11:44:16,653::log_version::0.5.1.0
664::INFO::2013-05-30 11:44:16,668::consistent_displays::#qxls 0 #others 1
664::INFO::2013-05-30 11:44:16,684::init_vio_serial::Failed opening \\.\Global\com.redhat.spice.0, error 6807

and vdservice.log says:
1936::INFO::2013-05-30 11:44:16,590::main::***Service started***
1936::INFO::2013-05-30 11:44:16,621::log_version::0.5.1.0
1936::INFO::2013-05-30 11:44:16,621::execute::Active console session id: 1
1936::INFO::2013-05-30 11:44:16,621::execute::Connect state: 0
1936::INFO::2013-05-30 11:44:16,684::execute::Agent killed
2816::INFO::2013-05-30 11:44:18,603::control_handler::Interrogate service
1936::INFO::2013-05-30 11:44:19,710::execute::Agent killed
1936::INFO::2013-05-30 11:44:22,737::execute::Agent killed
1936::INFO::2013-05-30 11:44:25,763::execute::Agent killed
1936::INFO::2013-05-30 11:44:28,789::execute::Agent killed
1936::INFO::2013-05-30 11:44:32,112::execute::Agent killed
1936::INFO::2013-05-30 11:44:35,232::execute::Agent killed
1936::INFO::2013-05-30 11:44:38,399::execute::Agent killed
1936::INFO::2013-05-30 11:44:41,441::execute::Agent killed
1936::INFO::2013-05-30 11:44:44,561::execute::Agent killed
1936::INFO::2013-05-30 11:44:47,587::execute::Agent killed
1936::INFO::2013-05-30 11:44:50,707::execute::Agent killed
1936::INFO::2013-05-30 11:44:53,718::restart_agent::Agent restarted too many times
1936::INFO::2013-05-30 11:44:53,718::stop::Service stopped
1936::INFO::2013-05-30 11:44:53,718::main::***Service stopped***
Comment 3 David Jaša 2013-05-30 08:38:50 EDT
After the shutdown and fresh start, the agent starts just fine...
Comment 4 Arnon Gilboa 2013-05-30 09:09:34 EDT
seems like a known issue with vio-serial driver update, see bug 927941
Comment 5 Arnon Gilboa 2013-05-30 10:13:04 EDT
(In reply to Arnon Gilboa from comment #4)
> seems like a known issue with vio-serial driver update, see bug 927941

and/or bug 951481
Comment 6 Arnon Gilboa 2013-05-30 10:27:01 EDT
Gal Hammer says his patch for bug 951481 solves error 6807 from comment 2:

664::INFO::2013-05-30 11:44:16,684::init_vio_serial::Failed opening \\.\Global\com.redhat.spice.0, error 6807
Comment 11 Cole Robinson 2013-07-25 18:42:56 EDT
Okay, fixed virtio-win is uploading now.

Note You need to log in before you can comment on or make changes to this bug.